import React, { Fragment } from 'react'

const Visibility = ({ hideIf, showIf, unmount, children }) => {
    if(unmount) {
        return (hideIf === false || showIf === true) ? <Fragment>{ children }</Fragment> : null
    } else {
        return (hideIf === false || showIf === true) ? <Fragment>{ children }</Fragment> : <div style={{display: 'none'}}>{ children }</div>
    }
};

export default Visibility
